org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinParser.TraversalMethodContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinParser.TraversalMethodContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    GremlinParser

      public static class GremlinParser.TraversalMethodContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalMethodContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)`
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `int` | `getRuleIndex()`
    `GremlinParser.TraversalMethod_addEContext` | `traversalMethod_addE()`
    `GremlinParser.TraversalMethod_addVContext` | `traversalMethod_addV()`
    `GremlinParser.TraversalMethod_aggregateContext` | `traversalMethod_aggregate()`
    `GremlinParser.TraversalMethod_andContext` | `traversalMethod_and()`
    `GremlinParser.TraversalMethod_asContext` | `traversalMethod_as()`
    `GremlinParser.TraversalMethod_barrierContext` | `traversalMethod_barrier()`
    `GremlinParser.TraversalMethod_bothContext` | `traversalMethod_both()`
    `GremlinParser.TraversalMethod_bothEContext` | `traversalMethod_bothE()`
    `GremlinParser.TraversalMethod_bothVContext` | `traversalMethod_bothV()`
    `GremlinParser.TraversalMethod_branchContext` | `traversalMethod_branch()`
    `GremlinParser.TraversalMethod_byContext` | `traversalMethod_by()`
    `GremlinParser.TraversalMethod_capContext` | `traversalMethod_cap()`
    `GremlinParser.TraversalMethod_chooseContext` | `traversalMethod_choose()`
    `GremlinParser.TraversalMethod_coalesceContext` | `traversalMethod_coalesce()`
    `GremlinParser.TraversalMethod_coinContext` | `traversalMethod_coin()`
    `GremlinParser.TraversalMethod_connectedComponentContext` | `traversalMethod_connectedComponent()`
    `GremlinParser.TraversalMethod_constantContext` | `traversalMethod_constant()`
    `GremlinParser.TraversalMethod_countContext` | `traversalMethod_count()`
    `GremlinParser.TraversalMethod_cyclicPathContext` | `traversalMethod_cyclicPath()`
    `GremlinParser.TraversalMethod_dedupContext` | `traversalMethod_dedup()`
    `GremlinParser.TraversalMethod_dropContext` | `traversalMethod_drop()`
    `GremlinParser.TraversalMethod_elementMapContext` | `traversalMethod_elementMap()`
    `GremlinParser.TraversalMethod_emitContext` | `traversalMethod_emit()`
    `GremlinParser.TraversalMethod_filterContext` | `traversalMethod_filter()`
    `GremlinParser.TraversalMethod_flatMapContext` | `traversalMethod_flatMap()`
    `GremlinParser.TraversalMethod_foldContext` | `traversalMethod_fold()`
    `GremlinParser.TraversalMethod_fromContext` | `traversalMethod_from()`
    `GremlinParser.TraversalMethod_groupContext` | `traversalMethod_group()`
    `GremlinParser.TraversalMethod_groupCountContext` | `traversalMethod_groupCount()`
    `GremlinParser.TraversalMethod_hasContext` | `traversalMethod_has()`
    `GremlinParser.TraversalMethod_hasIdContext` | `traversalMethod_hasId()`
    `GremlinParser.TraversalMethod_hasKeyContext` | `traversalMethod_hasKey()`
    `GremlinParser.TraversalMethod_hasLabelContext` | `traversalMethod_hasLabel()`
    `GremlinParser.TraversalMethod_hasNotContext` | `traversalMethod_hasNot()`
    `GremlinParser.TraversalMethod_hasValueContext` | `traversalMethod_hasValue()`
    `GremlinParser.TraversalMethod_idContext` | `traversalMethod_id()`
    `GremlinParser.TraversalMethod_identityContext` | `traversalMethod_identity()`
    `GremlinParser.TraversalMethod_inContext` | `traversalMethod_in()`
    `GremlinParser.TraversalMethod_indexContext` | `traversalMethod_index()`
    `GremlinParser.TraversalMethod_inEContext` | `traversalMethod_inE()`
    `GremlinParser.TraversalMethod_injectContext` | `traversalMethod_inject()`
    `GremlinParser.TraversalMethod_inVContext` | `traversalMethod_inV()`
    `GremlinParser.TraversalMethod_isContext` | `traversalMethod_is()`
    `GremlinParser.TraversalMethod_keyContext` | `traversalMethod_key()`
    `GremlinParser.TraversalMethod_labelContext` | `traversalMethod_label()`
    `GremlinParser.TraversalMethod_limitContext` | `traversalMethod_limit()`
    `GremlinParser.TraversalMethod_localContext` | `traversalMethod_local()`
    `GremlinParser.TraversalMethod_loopsContext` | `traversalMethod_loops()`
    `GremlinParser.TraversalMethod_mapContext` | `traversalMethod_map()`
    `GremlinParser.TraversalMethod_matchContext` | `traversalMethod_match()`
    `GremlinParser.TraversalMethod_mathContext` | `traversalMethod_math()`
    `GremlinParser.TraversalMethod_maxContext` | `traversalMethod_max()`
    `GremlinParser.TraversalMethod_meanContext` | `traversalMethod_mean()`
    `GremlinParser.TraversalMethod_minContext` | `traversalMethod_min()`
    `GremlinParser.TraversalMethod_notContext` | `traversalMethod_not()`
    `GremlinParser.TraversalMethod_optionContext` | `traversalMethod_option()`
    `GremlinParser.TraversalMethod_optionalContext` | `traversalMethod_optional()`
    `GremlinParser.TraversalMethod_orContext` | `traversalMethod_or()`
    `GremlinParser.TraversalMethod_orderContext` | `traversalMethod_order()`
    `GremlinParser.TraversalMethod_otherVContext` | `traversalMethod_otherV()`
    `GremlinParser.TraversalMethod_outContext` | `traversalMethod_out()`
    `GremlinParser.TraversalMethod_outEContext` | `traversalMethod_outE()`
    `GremlinParser.TraversalMethod_outVContext` | `traversalMethod_outV()`
    `GremlinParser.TraversalMethod_pageRankContext` | `traversalMethod_pageRank()`
    `GremlinParser.TraversalMethod_pathContext` | `traversalMethod_path()`
    `GremlinParser.TraversalMethod_peerPressureContext` | `traversalMethod_peerPressure()`
    `GremlinParser.TraversalMethod_profileContext` | `traversalMethod_profile()`
    `GremlinParser.TraversalMethod_projectContext` | `traversalMethod_project()`
    `GremlinParser.TraversalMethod_propertiesContext` | `traversalMethod_properties()`
    `GremlinParser.TraversalMethod_propertyContext` | `traversalMethod_property()`
    `GremlinParser.TraversalMethod_propertyMapContext` | `traversalMethod_propertyMap()`
    `GremlinParser.TraversalMethod_rangeContext` | `traversalMethod_range()`
    `GremlinParser.TraversalMethod_readContext` | `traversalMethod_read()`
    `GremlinParser.TraversalMethod_repeatContext` | `traversalMethod_repeat()`
    `GremlinParser.TraversalMethod_sackContext` | `traversalMethod_sack()`
    `GremlinParser.TraversalMethod_sampleContext` | `traversalMethod_sample()`
    `GremlinParser.TraversalMethod_selectContext` | `traversalMethod_select()`
    `GremlinParser.TraversalMethod_shortestPathContext` | `traversalMethod_shortestPath()`
    `GremlinParser.TraversalMethod_sideEffectContext` | `traversalMethod_sideEffect()`
    `GremlinParser.TraversalMethod_simplePathContext` | `traversalMethod_simplePath()`
    `GremlinParser.TraversalMethod_skipContext` | `traversalMethod_skip()`
    `GremlinParser.TraversalMethod_storeContext` | `traversalMethod_store()`
    `GremlinParser.TraversalMethod_subgraphContext` | `traversalMethod_subgraph()`
    `GremlinParser.TraversalMethod_sumContext` | `traversalMethod_sum()`
    `GremlinParser.TraversalMethod_tailContext` | `traversalMethod_tail()`
    `GremlinParser.TraversalMethod_timeLimitContext` | `traversalMethod_timeLimit()`
    `GremlinParser.TraversalMethod_timesContext` | `traversalMethod_times()`
    `GremlinParser.TraversalMethod_toContext` | `traversalMethod_to()`
    `GremlinParser.TraversalMethod_toEContext` | `traversalMethod_toE()`
    `GremlinParser.TraversalMethod_toVContext` | `traversalMethod_toV()`
    `GremlinParser.TraversalMethod_treeContext` | `traversalMethod_tree()`
    `GremlinParser.TraversalMethod_unfoldContext` | `traversalMethod_unfold()`
    `GremlinParser.TraversalMethod_unionContext` | `traversalMethod_union()`
    `GremlinParser.TraversalMethod_untilContext` | `traversalMethod_until()`
    `GremlinParser.TraversalMethod_VContext` | `traversalMethod_V()`
    `GremlinParser.TraversalMethod_valueContext` | `traversalMethod_value()`
    `GremlinParser.TraversalMethod_valueMapContext` | `traversalMethod_valueMap()`
    `GremlinParser.TraversalMethod_valuesContext` | `traversalMethod_values()`
    `GremlinParser.TraversalMethod_whereContext` | `traversalMethod_where()`
    `GremlinParser.TraversalMethod_withContext` | `traversalMethod_with()`
    `GremlinParser.TraversalMethod_writeContext` | `traversalMethod_write()`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalMethodContext

          public TraversalMethodContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                        int invokingState)

  - ### Method Detail

    - #### traversalMethod_V

          public GremlinParser.TraversalMethod_VContext traversalMethod_V()

    - #### traversalMethod_addE

          public GremlinParser.TraversalMethod_addEContext traversalMethod_addE()

    - #### traversalMethod_addV

          public GremlinParser.TraversalMethod_addVContext traversalMethod_addV()

    - #### traversalMethod_aggregate

          public GremlinParser.TraversalMethod_aggregateContext traversalMethod_aggregate()

    - #### traversalMethod_and

          public GremlinParser.TraversalMethod_andContext traversalMethod_and()

    - #### traversalMethod_as

          public GremlinParser.TraversalMethod_asContext traversalMethod_as()

    - #### traversalMethod_barrier

          public GremlinParser.TraversalMethod_barrierContext traversalMethod_barrier()

    - #### traversalMethod_both

          public GremlinParser.TraversalMethod_bothContext traversalMethod_both()

    - #### traversalMethod_bothE

          public GremlinParser.TraversalMethod_bothEContext traversalMethod_bothE()

    - #### traversalMethod_bothV

          public GremlinParser.TraversalMethod_bothVContext traversalMethod_bothV()

    - #### traversalMethod_branch

          public GremlinParser.TraversalMethod_branchContext traversalMethod_branch()

    - #### traversalMethod_by

          public GremlinParser.TraversalMethod_byContext traversalMethod_by()

    - #### traversalMethod_cap

          public GremlinParser.TraversalMethod_capContext traversalMethod_cap()

    - #### traversalMethod_choose

          public GremlinParser.TraversalMethod_chooseContext traversalMethod_choose()

    - #### traversalMethod_coalesce

          public GremlinParser.TraversalMethod_coalesceContext traversalMethod_coalesce()

    - #### traversalMethod_coin

          public GremlinParser.TraversalMethod_coinContext traversalMethod_coin()

    - #### traversalMethod_connectedComponent

          public GremlinParser.TraversalMethod_connectedComponentContext traversalMethod_connectedComponent()

    - #### traversalMethod_constant

          public GremlinParser.TraversalMethod_constantContext traversalMethod_constant()

    - #### traversalMethod_count

          public GremlinParser.TraversalMethod_countContext traversalMethod_count()

    - #### traversalMethod_cyclicPath

          public GremlinParser.TraversalMethod_cyclicPathContext traversalMethod_cyclicPath()

    - #### traversalMethod_dedup

          public GremlinParser.TraversalMethod_dedupContext traversalMethod_dedup()

    - #### traversalMethod_drop

          public GremlinParser.TraversalMethod_dropContext traversalMethod_drop()

    - #### traversalMethod_elementMap

          public GremlinParser.TraversalMethod_elementMapContext traversalMethod_elementMap()

    - #### traversalMethod_emit

          public GremlinParser.TraversalMethod_emitContext traversalMethod_emit()

    - #### traversalMethod_filter

          public GremlinParser.TraversalMethod_filterContext traversalMethod_filter()

    - #### traversalMethod_flatMap

          public GremlinParser.TraversalMethod_flatMapContext traversalMethod_flatMap()

    - #### traversalMethod_fold

          public GremlinParser.TraversalMethod_foldContext traversalMethod_fold()

    - #### traversalMethod_from

          public GremlinParser.TraversalMethod_fromContext traversalMethod_from()

    - #### traversalMethod_group

          public GremlinParser.TraversalMethod_groupContext traversalMethod_group()

    - #### traversalMethod_groupCount

          public GremlinParser.TraversalMethod_groupCountContext traversalMethod_groupCount()

    - #### traversalMethod_has

          public GremlinParser.TraversalMethod_hasContext traversalMethod_has()

    - #### traversalMethod_hasId

          public GremlinParser.TraversalMethod_hasIdContext traversalMethod_hasId()

    - #### traversalMethod_hasKey

          public GremlinParser.TraversalMethod_hasKeyContext traversalMethod_hasKey()

    - #### traversalMethod_hasLabel

          public GremlinParser.TraversalMethod_hasLabelContext traversalMethod_hasLabel()

    - #### traversalMethod_hasNot

          public GremlinParser.TraversalMethod_hasNotContext traversalMethod_hasNot()

    - #### traversalMethod_hasValue

          public GremlinParser.TraversalMethod_hasValueContext traversalMethod_hasValue()

    - #### traversalMethod_id

          public GremlinParser.TraversalMethod_idContext traversalMethod_id()

    - #### traversalMethod_identity

          public GremlinParser.TraversalMethod_identityContext traversalMethod_identity()

    - #### traversalMethod_in

          public GremlinParser.TraversalMethod_inContext traversalMethod_in()

    - #### traversalMethod_inE

          public GremlinParser.TraversalMethod_inEContext traversalMethod_inE()

    - #### traversalMethod_inV

          public GremlinParser.TraversalMethod_inVContext traversalMethod_inV()

    - #### traversalMethod_index

          public GremlinParser.TraversalMethod_indexContext traversalMethod_index()

    - #### traversalMethod_inject

          public GremlinParser.TraversalMethod_injectContext traversalMethod_inject()

    - #### traversalMethod_is

          public GremlinParser.TraversalMethod_isContext traversalMethod_is()

    - #### traversalMethod_key

          public GremlinParser.TraversalMethod_keyContext traversalMethod_key()

    - #### traversalMethod_label

          public GremlinParser.TraversalMethod_labelContext traversalMethod_label()

    - #### traversalMethod_limit

          public GremlinParser.TraversalMethod_limitContext traversalMethod_limit()

    - #### traversalMethod_local

          public GremlinParser.TraversalMethod_localContext traversalMethod_local()

    - #### traversalMethod_loops

          public GremlinParser.TraversalMethod_loopsContext traversalMethod_loops()

    - #### traversalMethod_map

          public GremlinParser.TraversalMethod_mapContext traversalMethod_map()

    - #### traversalMethod_match

          public GremlinParser.TraversalMethod_matchContext traversalMethod_match()

    - #### traversalMethod_math

          public GremlinParser.TraversalMethod_mathContext traversalMethod_math()

    - #### traversalMethod_max

          public GremlinParser.TraversalMethod_maxContext traversalMethod_max()

    - #### traversalMethod_mean

          public GremlinParser.TraversalMethod_meanContext traversalMethod_mean()

    - #### traversalMethod_min

          public GremlinParser.TraversalMethod_minContext traversalMethod_min()

    - #### traversalMethod_not

          public GremlinParser.TraversalMethod_notContext traversalMethod_not()

    - #### traversalMethod_option

          public GremlinParser.TraversalMethod_optionContext traversalMethod_option()

    - #### traversalMethod_optional

          public GremlinParser.TraversalMethod_optionalContext traversalMethod_optional()

    - #### traversalMethod_or

          public GremlinParser.TraversalMethod_orContext traversalMethod_or()

    - #### traversalMethod_order

          public GremlinParser.TraversalMethod_orderContext traversalMethod_order()

    - #### traversalMethod_otherV

          public GremlinParser.TraversalMethod_otherVContext traversalMethod_otherV()

    - #### traversalMethod_out

          public GremlinParser.TraversalMethod_outContext traversalMethod_out()

    - #### traversalMethod_outE

          public GremlinParser.TraversalMethod_outEContext traversalMethod_outE()

    - #### traversalMethod_outV

          public GremlinParser.TraversalMethod_outVContext traversalMethod_outV()

    - #### traversalMethod_pageRank

          public GremlinParser.TraversalMethod_pageRankContext traversalMethod_pageRank()

    - #### traversalMethod_path

          public GremlinParser.TraversalMethod_pathContext traversalMethod_path()

    - #### traversalMethod_peerPressure

          public GremlinParser.TraversalMethod_peerPressureContext traversalMethod_peerPressure()

    - #### traversalMethod_profile

          public GremlinParser.TraversalMethod_profileContext traversalMethod_profile()

    - #### traversalMethod_project

          public GremlinParser.TraversalMethod_projectContext traversalMethod_project()

    - #### traversalMethod_properties

          public GremlinParser.TraversalMethod_propertiesContext traversalMethod_properties()

    - #### traversalMethod_property

          public GremlinParser.TraversalMethod_propertyContext traversalMethod_property()

    - #### traversalMethod_propertyMap

          public GremlinParser.TraversalMethod_propertyMapContext traversalMethod_propertyMap()

    - #### traversalMethod_range

          public GremlinParser.TraversalMethod_rangeContext traversalMethod_range()

    - #### traversalMethod_read

          public GremlinParser.TraversalMethod_readContext traversalMethod_read()

    - #### traversalMethod_repeat

          public GremlinParser.TraversalMethod_repeatContext traversalMethod_repeat()

    - #### traversalMethod_sack

          public GremlinParser.TraversalMethod_sackContext traversalMethod_sack()

    - #### traversalMethod_sample

          public GremlinParser.TraversalMethod_sampleContext traversalMethod_sample()

    - #### traversalMethod_select

          public GremlinParser.TraversalMethod_selectContext traversalMethod_select()

    - #### traversalMethod_shortestPath

          public GremlinParser.TraversalMethod_shortestPathContext traversalMethod_shortestPath()

    - #### traversalMethod_sideEffect

          public GremlinParser.TraversalMethod_sideEffectContext traversalMethod_sideEffect()

    - #### traversalMethod_simplePath

          public GremlinParser.TraversalMethod_simplePathContext traversalMethod_simplePath()

    - #### traversalMethod_skip

          public GremlinParser.TraversalMethod_skipContext traversalMethod_skip()

    - #### traversalMethod_store

          public GremlinParser.TraversalMethod_storeContext traversalMethod_store()

    - #### traversalMethod_subgraph

          public GremlinParser.TraversalMethod_subgraphContext traversalMethod_subgraph()

    - #### traversalMethod_sum

          public GremlinParser.TraversalMethod_sumContext traversalMethod_sum()

    - #### traversalMethod_tail

          public GremlinParser.TraversalMethod_tailContext traversalMethod_tail()

    - #### traversalMethod_timeLimit

          public GremlinParser.TraversalMethod_timeLimitContext traversalMethod_timeLimit()

    - #### traversalMethod_times

          public GremlinParser.TraversalMethod_timesContext traversalMethod_times()

    - #### traversalMethod_to

          public GremlinParser.TraversalMethod_toContext traversalMethod_to()

    - #### traversalMethod_toE

          public GremlinParser.TraversalMethod_toEContext traversalMethod_toE()

    - #### traversalMethod_toV

          public GremlinParser.TraversalMethod_toVContext traversalMethod_toV()

    - #### traversalMethod_tree

          public GremlinParser.TraversalMethod_treeContext traversalMethod_tree()

    - #### traversalMethod_unfold

          public GremlinParser.TraversalMethod_unfoldContext traversalMethod_unfold()

    - #### traversalMethod_union

          public GremlinParser.TraversalMethod_unionContext traversalMethod_union()

    - #### traversalMethod_until

          public GremlinParser.TraversalMethod_untilContext traversalMethod_until()

    - #### traversalMethod_value

          public GremlinParser.TraversalMethod_valueContext traversalMethod_value()

    - #### traversalMethod_valueMap

          public GremlinParser.TraversalMethod_valueMapContext traversalMethod_valueMap()

    - #### traversalMethod_values

          public GremlinParser.TraversalMethod_valuesContext traversalMethod_values()

    - #### traversalMethod_where

          public GremlinParser.TraversalMethod_whereContext traversalMethod_where()

    - #### traversalMethod_with

          public GremlinParser.TraversalMethod_withContext traversalMethod_with()

    - #### traversalMethod_write

          public GremlinParser.TraversalMethod_writeContext traversalMethod_write()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### accept

          public <T> T accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.